﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp8
{
    public partial class Form1 : Form
    {
        OleDbConnection connection;
        String connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=Database1.mdb;";
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new OleDbConnection(connectionString);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Select Email from Student";
            OleDbCommand cmd = connection.CreateCommand();
            cmd.CommandText = query;
            OleDbDataReader reader = cmd.ExecuteReader();
            StringBuilder sb = new StringBuilder();
            while (reader.Read())
            {
                sb.Append(reader.GetString(0));
                sb.Append(Environment.NewLine);
            }
            reader.Close();
            connection.Close();
            MessageBox.Show(sb.ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Insert into Student([Email],[Fullname]) values(@email,@fullname)";
            String email = textBox1.Text;
            String fullname = textBox2.Text;
            OleDbCommand command = connection.CreateCommand();
            command.CommandText = query;
            /*command.Parameters[0].Value = email;
            command.Parameters[1].Value = fullname;*/
            command.Parameters.AddRange(new OleDbParameter[] {
            new OleDbParameter("@email",email),
            new OleDbParameter("@fullname",fullname)
            }); ;
            int i = command.ExecuteNonQuery();
            connection.Close();
            MessageBox.Show(i.ToString() + " row affected");
        }
    }
}
